TSequenceConfig._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TSequenceConfig._Fields

- java.lang.Object
- - java.lang.Enum<TSequenceConfig._Fields>
  - - com.sleepycat.thrift.TSequenceConfig._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TSequenceConfig._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TSequenceConfig

      public static enum TSequenceConfig._Fields
      extends java.lang.Enum<TSequenceConfig._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_CREATE`
    `AUTO_COMMIT_NO_SYNC`
    `CACHE_SIZE`
    `DECREMENT`
    `EXCLUSIVE_CREATE`
    `INITIAL_VALUE`
    `MAXIMUM`
    `MINIMUM`
    `WRAP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TSequenceConfig._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TSequenceConfig._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TSequenceConfig._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TSequenceConfig._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TSequenceConfig._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW_CREATE

          public static final TSequenceConfig._Fields ALLOW_CREATE

    - #### AUTO_COMMIT_NO_SYNC

          public static final TSequenceConfig._Fields AUTO_COMMIT_NO_SYNC

    - #### CACHE_SIZE

          public static final TSequenceConfig._Fields CACHE_SIZE

    - #### DECREMENT

          public static final TSequenceConfig._Fields DECREMENT

    - #### EXCLUSIVE_CREATE

          public static final TSequenceConfig._Fields EXCLUSIVE_CREATE

    - #### INITIAL_VALUE

          public static final TSequenceConfig._Fields INITIAL_VALUE

    - #### MINIMUM

          public static final TSequenceConfig._Fields MINIMUM

    - #### MAXIMUM

          public static final TSequenceConfig._Fields MAXIMUM

    - #### WRAP

          public static final TSequenceConfig._Fields WRAP

  - ### Method Detail

    - #### values

          public static TSequenceConfig._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TSequenceConfig._Fields c : TSequenceConfig._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TSequenceConfig._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TSequenceConfig._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TSequenceConfig._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TSequenceConfig._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.